/*
This is a part of the XProp LiteStep module source code.

Copyright (C) 2003 ilmcuts

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef LS_UTILITY_H
#define LS_UTILITY_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER


//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// Includes
//
#include "xprop.h"


//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// Function prototypes
//

//
// communication
//
int DisplayMessage(LPCTSTR ptzMessage, UINT uExtraFlags = 0);
int DisplayMessage(LPCTSTR ptzMessage, LPCTSTR ptzTitle, UINT uExtraFlags = 0);
int AskUser(UINT uFlags, LPCTSTR ptzFormat, ...);
void ErrorMessage(LPCTSTR ptzMessage);
void ErrorMessagef(LPCTSTR ptzFormat, ...);
void ReportLastError();


#endif // LS_UTILITY_H